/*
** OpenURL - MUI preferences for openurl.library
** Written by Troels Walsted Hansen <troels@thule.no>
** Placed in the public domain.
**
** Methods, attributes, dispatcher and instance data definitions for the
** BrowserEditWin Window.mui subclass.
*/

/**************************************************************************/

#define MUIA_BrowserEditWin_Browser                (TAGBASE_BROWSEREDITWIN + 0) /* [I.G] struct URL_BrowserNode * */
#define MUIA_BrowserEditWin_ListObj                (TAGBASE_BROWSEREDITWIN + 1) /* [I..] Object *                 */

#define MUIM_BrowserEditWin_Ok                     (TAGBASE_BROWSEREDITWIN + 25)

struct MUIP_BrowserEditWin_Ok                      { ULONG MethodID; };

/**************************************************************************/

SAVEDS ASM ULONG BrowserEditWin_Dispatcher(REG(a0) struct IClass *cl, REG(a2) Object *obj, REG(a1) Msg msg);

/**************************************************************************/

struct BrowserEditWin_Data
{
	struct URL_BrowserNode *Browser;
	struct Hook ObjStrHook;
	Object *BrowserLstObj;

	Object *InfoGrpObj;
	Object *NameStrObj;
	Object *PathPopObj;
	Object *PortStrObj;

	Object *CmdGrpObj;
	Object *ShowStrObj;
	Object *ToFrontStrObj;
	Object *OpenURLPopObj;
	Object *OpenURLWPopObj;

	Object *OkButObj;
	Object *CancelButObj;

	ULONG   NotifiesAdded;
};
